/////////////////////////////////////////////////////////////////////////////
// General.h
/////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2000-2002 Grincheux  All rights reserved.
/////////////////////////////////////////////////////////////////////////////
//
//	This file is subject to the terms of the GNU General Public License as
//	published by the Free Software Foundation.  A copy of this license is
//	included with this software distribution in the file COPYING.  If you
//	do not have a copy, you may obtain a copy by writing to the Free
//	Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
//	This software is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details
/////////////////////////////////////////////////////////////////////////////
//
// This software was based on MultiDec 5.9 Those portions are
// Copyright (C) 1999/2000 Espresso (echter_espresso@hotmail.com)
//
/////////////////////////////////////////////////////////////////////////////

#ifndef PLUGIN_H
#define PLUGIN_H

#include "../../pluginvideo.h"

#define ZEILENZAHL           287
#define TESTPIXEL             32

// sub directory of the plugin 
#define PLUGIN_SUBDIR		"Plugins/Albator707/"

extern QuenotteTV_VideoPlugin VideoPlugin;

// Copie des variables de K!TV
extern BOOL TypeImage;
extern BOOL PalPlusActive;

extern int CurrentFrame, CurrentX;
extern BOOL bFilterBlueLines, bFilterSecam;
extern int nYUVThreshold, nUThreshold, nVThreshold, iPixFilterThreshold;
  
extern int  TZ[5];
extern int  MasterTestzeilen;
extern int	iUFilterThresholdPCent, iVFilterThresholdPCent, iYUVFilterThresholdPCent;
extern int  InitialLow;

// Interne DLL
extern int nPixelSchritt;
extern int pSortLinesEven[ZEILENZAHL];
extern int pSortLinesOdd[ZEILENZAHL];


void ErreurFatale(char *Message);
BOOL Load_INI();
BOOL Write_INI();
#endif